# QVM: Quaternions, Vectors, Matrices

### rotx_quat(scalar)

#include <boost/qvm/quat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            template <class Angle>
            -unspecified-return-type- rotx_quat( Angle const & angle );
        }
    }

#### Returns:

A view proxy quaternion of unspecified type and scalar type Angle, which performs a rotation around the X axis at angle radians.

See also: boost/qvm/quat_operations.hpp | rotate_x(quat,scalar) | set_rotx(quat,scalar)